/// On v20 this will return false, but on Rebuilt this function will silently fail to define and will return true instead. ///
function isBlocklandRebuilt()
{
   return false;
}

//we need the jeep add-on for this, so force it to load
%error = ForceRequiredAddOn("Vehicle_Jeep");

if(%error == $Error::AddOn_Disabled)
{
   //A bit of a hack:
   //  we just forced the jeep to load, but the user had it disabled
   //  so lets make it so they can't select it
   JeepVehicle.uiName = "";
}

if(%error == $Error::AddOn_NotFound)
{
   //we don't have the jeep, so we're screwed
   error("ERROR: Vehicle_Delorean - required add-on Vehicle_Jeep not found");
}
else
{
	exec("./Vehicle_Delorean.cs");
   if (isBlocklandRebuilt()) {
	   exec("./Vehicle_DeloreanHover.cs");
   }
	exec("./Delorean_Tire.cs");
	exec("./Delorean_Explosion.cs");
	exec("./Delorean_FinalExplosion.cs");
	exec("./Delorean_Spring.cs");  
}